# Constant Field Values

## Contents

- org.springframework.*

## org.springframework.*

org.springframework.aop.aspectj.annotation.AbstractAspectJAdvisorFactory
Modifier and Type
Constant Field
Value
`public static final String`
`IGNORE_AJC_PROPERTY_NAME`
`"spring.aop.ajc.ignore"`

org.springframework.aop.config.AopConfigUtils
Modifier and Type
Constant Field
Value
`public static final String`
`AUTO_PROXY_CREATOR_BEAN_NAME`
`"org.springframework.aop.config.internalAutoProxyCreator"`
org.springframework.aop.config.AopNamespaceUtils
Modifier and Type
Constant Field
Value
`public static final String`
`PROXY_TARGET_CLASS_ATTRIBUTE`
`"proxy-target-class"`

org.springframework.aop.framework.ProxyFactoryBean
Modifier and Type
Constant Field
Value
`public static final String`
`GLOBAL_SUFFIX`
`"*"`

org.springframework.aop.framework.autoproxy.DefaultAdvisorAutoProxyCreator
Modifier and Type
Constant Field
Value
`public static final String`
`SEPARATOR`
`"."`

org.springframework.aop.framework.autoproxy.target.QuickTargetSourceCreator
Modifier and Type
Constant Field
Value
`public static final String`
`PREFIX_COMMONS_POOL`
`":"`
`public static final String`
`PREFIX_PROTOTYPE`
`"!"`
`public static final String`
`PREFIX_THREAD_LOCAL`
`"%"`

org.springframework.aop.interceptor.AsyncExecutionAspectSupport
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TASK_EXECUTOR_BEAN_NAME`
`"taskExecutor"`
org.springframework.aop.interceptor.CustomizableTraceInterceptor
Modifier and Type
Constant Field
Value
`public static final String`
`PLACEHOLDER_ARGUMENT_TYPES`
`"$[argumentTypes]"`
`public static final String`
`PLACEHOLDER_ARGUMENTS`
`"$[arguments]"`
`public static final String`
`PLACEHOLDER_EXCEPTION`
`"$[exception]"`
`public static final String`
`PLACEHOLDER_INVOCATION_TIME`
`"$[invocationTime]"`
`public static final String`
`PLACEHOLDER_METHOD_NAME`
`"$[methodName]"`
`public static final String`
`PLACEHOLDER_RETURN_VALUE`
`"$[returnValue]"`
`public static final String`
`PLACEHOLDER_TARGET_CLASS_NAME`
`"$[targetClassName]"`
`public static final String`
`PLACEHOLDER_TARGET_CLASS_SHORT_NAME`
`"$[targetClassShortName]"`